%define api     1.2
%define major   0
%define libname %mklibname %{name} %{api} %{major}
%define devname %mklibname %{name} -d

Name:           mythes
Version:        1.2.5
Release:        %mkrel 1
Summary:        A thesaurus library
License:        BSD-3-Clause-Modification AND MIT
Group:          System/Internationalization
URL:            https://github.com/hunspell/mythes
Source0:        https://github.com/hunspell/mythes/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(hunspell)
BuildRequires:  autoconf
BuildRequires:  gettext-devel

Requires:       %{libname} = %{version}-%{release}

%description
MyThes is a simple thesaurus that uses a structured text data file and an
index file with binary search to look up words and phrases and return 
information on part of speech, meanings, and synonyms.


%package -n %{libname}
Summary:        A thesaurus library
Group:          System/Libraries

%description -n %{libname}
MyThes is a simple thesaurus that uses a structured text data file and an
index file with binary search to look up words and phrases and return 
information on part of speech, meanings, and synonyms.


%package -n %{devname}
Summary:        Files for developing with %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Includes and definitions for developing with %{name}.


%prep
%autosetup

%build
%configure2_5x --disable-rpath \
           --disable-static
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/%{name}
rm -f %buildroot/usr/lib64/libmythes-1.2.la

%files
%{_datadir}/%{name}/

%files -n %{libname}
%{_libdir}/libmythes-%{api}.so.%{major}{,.*}

%files -n %{devname}
%doc data_layout.txt
%{_includedir}/%{name}.hxx
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_bindir}/th_gen_idx.pl

%changelog
* Mon Jun 03 2024 tex - 1.2.5-1pclos2024
- new version: 1.2.5
